Delete
curl --request DELETE \
--url https://api-staging.genuka.com/2023-11/admin/collections/01hea29gpx259j0mq164hxpt0f \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "body_html",
"handle": "handle-herzcde",
"metadata": {
"shopifyId": "id"
},
"title": "Title"
}
'import requests
url = "https://api-staging.genuka.com/2023-11/admin/collections/01hea29gpx259j0mq164hxpt0f"
payload = {
"content": "body_html",
"handle": "handle-herzcde",
"metadata": { "shopifyId": "id" },
"title": "Title"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: 'body_html',
handle: 'handle-herzcde',
metadata: {shopifyId: 'id'},
title: 'Title'
})
};
fetch('https://api-staging.genuka.com/2023-11/admin/collections/01hea29gpx259j0mq164hxpt0f', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Collections
Delete collection
Deletes an existing product collection from the authenticated company. This endpoint permanently removes the specified collection and its product associations. Use with caution, as deleted collections cannot be recovered.
DELETE
/
2023-11
/
admin
/
collections
/
01hea29gpx259j0mq164hxpt0f
Delete
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Example:
"{{companyId}}"
Body
application/json
Response
200 - undefined
⌘I
